
QGIS Application - Bug report #9496

Warning: QPen::setDashPattern: Pattern not of even length

2014-02-05 04:19 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 18087

Description

In QGIS Master I open a QGIS 2.0 project and most of the layers do not draw. They render perfectly in QGIS 2.0 but not at all in 2.1. They

also give no errors in the UI. I only get this error (for each 'bad' layer) if starting QGIS from the cli.

Symbols appear fine in the legend for each layer.

Update: The symbology renders fine in the layer's native CRS (4326). The problem occurs when the view is projected to our working CRS

(ZANGI:ZANGI:HBKNO31 - South African CRS : HBK_NO_31). I've never experienced symbology failing with on the fly CRS

transformation!

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-01 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#3 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
